Support » Plugin: Add Watermarks » Failes to load with WP 4.4

  • A script error Parse error: syntax error, unexpected '[' in add-watermark/add-watermark.php on line 754 is issued when trying to activate.

    Update, it was a PHP version issue with my host. It works as expected. Review updated to 5 stars.

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Michael Zangl

    (@michaelzangl)

    This plugin should be working fine with 4.4

    Your PHP version is too old. Please upgrade to a current 5.5.* or newer version.

    Your right. My host is reporting the installed PHP version is 5.3.29. I have sent a support ticket to have it updated to the latest 5.x version.

    You may want to put a note in the install or FAQ about this issue to prevent negative reviews.

    Plugin Author Michael Zangl

    (@michaelzangl)

    Yes, I did not really think that there are actual systems out there using PHP 5.3 since it is not supported any more.

    I’ll add a note (or even try to fix this issue, it is just a syntax improvement introduced in newer PHP versions, the image manipulation part should also work with old versions)

    Plugin Author Michael Zangl

    (@michaelzangl)

    Can you please try to pull the add-watermark.php from there and tell me if it works with 5.3 (or if you get an other error message)?

    I’m sorry for the inconvenience but I currently do not have any active 5.3 install.

    http://plugins.svn.wordpress.org/add-watermark/trunk/

    I heard back from support and I have the option to change the php version among various versions. I’ll try the updated file tonight and I’ll let you know. Besides that I’ll upgrade to the latest 5.x version once I test it.

    Tried the updated file and it does activate and works with PHP 5.3. I just updated my site to 5.5 and it works. Thanks for the info.

    General question, is there a way to exclude thumbnails from having the watermark applied?

    Plugin Author Michael Zangl

    (@michaelzangl)

    Nice to hear that. I’ll push a release for the plugin to make it 5.3 compatible.

    For removing the watermark, select the image in your media browser and use the drop down menu:
    https://wordpress.org/plugins/add-watermark/screenshots/ (last image)

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Failes to load with WP 4.4’ is closed to new replies.